Crystal Space: iSharedVariableList Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSharedVariableList Struct Reference
[Crystal Space 3D Engine]

A list of shared variables. More...

`#include <iengine/sharevar.h>`

Inheritance diagram for iSharedVariableList:

[legend]
List of all members.

## Public Member Functions
virtual int | Add (iSharedVariable *obj)=0
| Add a SharedVariable.
virtual int | Find (iSharedVariable *obj) const =0
| Find a SharedVariable and return its index.
virtual iSharedVariable * | FindByName (const char *Name) const =0
| Find a SharedVariable by name.
virtual iSharedVariable * | Get (int n) const =0
| Return a SharedVariable by index.
virtual int | GetCount () const =0
| Return the number of Shared Variables in this list.
virtual csPtr< iSharedVariable > | New ()=0
| iSharedVariable Factory method. This does not add the new var to the list.
virtual bool | Remove (int n)=0
| Remove the nth SharedVariable.
virtual bool | Remove (iSharedVariable *obj)=0
| Remove a SharedVariable.
virtual void | RemoveAll ()=0
| Remove all SharedVariables.

## Detailed Description

A list of shared variables.

Main ways to get pointers to this interface:

- iEngine::GetVariableList()

Definition at line 130 of file sharevar.h.

## Member Function Documentation

virtual int iSharedVariableList::Add | ( | iSharedVariable * | obj | ) | `[pure virtual]`

Add a SharedVariable.

virtual int iSharedVariableList::Find | ( | iSharedVariable * | obj | ) | const`[pure virtual]`

Find a SharedVariable and return its index.

virtual iSharedVariable* iSharedVariableList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a SharedVariable by name.

virtual iSharedVariable* iSharedVariableList::Get | ( | int | n | ) | const`[pure virtual]`

Return a SharedVariable by index.

virtual int iSharedVariableList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of Shared Variables in this list.

virtual csPtr<iSharedVariable> iSharedVariableList::New | ( |  | ) | `[pure virtual]`

iSharedVariable Factory method. This does not add the new var to the list.

virtual bool iSharedVariableList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth SharedVariable.

virtual bool iSharedVariableList::Remove | ( | iSharedVariable * | obj | ) | `[pure virtual]`

Remove a SharedVariable.

virtual void iSharedVariableList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all SharedVariables.

The documentation for this struct was generated from the following file:

- iengine/sharevar.h